<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.sky.scientific.mapper.YfzdMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="yfzdResultMap" type="org.sky.scientific.pojo.entity.YfzdEntity">
        <result column="id" property="id"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="year_and_month" property="yearAndMonth"/>
        <result column="WJLX" property="wjlx"/>
        <result column="ZDWJMC" property="zdwjmc"/>
        <result column="ZDWJDZ" property="zdwjdz"/>
        <result column="ZDSSZM" property="zdsszm"/>
        <result column="ZDYXX" property="zdyxx"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>

    <delete id="physicalDeleteByIds">
        delete from kd_yfzd
        where id in
        <foreach item="id" collection="list" separator="," close=")" open="(" index="">
            #{id}
        </foreach>
    </delete>

    <select id="selectWJLXType">
        select WJLX from kd_yfzd_type
    </select>

</mapper>
